import javax.swing.JOptionPane; // giriş çıkı

class H3AL8_2000
{

// kendi kendini cagiran (recursive) faktoriyel metodu
public static long faktoriyel(int x)
{
if( x <= 1 )
return 1;
else
return x * faktoriyel( x - 1);
}

public static void main(String[] args)
{
int sayi;
sayi=Integer.parseInt(JOptionPane.showInputDialog
("Bir tam sayı giriniz : "));
H3AL5a y=new H3AL5a();
JOptionPane.showMessageDialog(null,""+sayi+"! = "+faktoriyel(sayi),
"recursive faktoriyel statik metodu",JOptionPane.PLAIN_MESSAGE);
 System.exit(0);
}

}

